Summary: additional modules for GPG
Summary(cs): Doplujc moduly rznch ifrovacch algoritm pro GPG
Name: gnupg-modules
Version: 1.1
Release: 5
Copyright: non-free
Vendor: GNU Privacy Guard Project
URL: http://www.gnupg.org/
Group: Applications/Cryptography
Group(cs): Aplikace/ifrovn
Source0: ftp://ftp.guug.de/pub/gcrypt/contrib/do-not-use/skipjack.c
Source1: ftp://ftp.guug.de/pub/gcrypt/contrib/rsa.c
Source2: ftp://ftp.guug.de/pub/gcrypt/contrib/idea.c
Source3: gnupg-modules-options
BuildRoot: /tmp/%{name}-%{version}-build
Requires: gnupg

%changelog
* Wed Mar 1 2000 Petr Kritof <Petr@Kristof.CZ>
- Czech descriptions and /etc/skel/.gnupg/* added.

* Mon Dec 27 1999 Edward S. Marshall <emarshal@logic.net>
- Some quick changes to the spec file for the new location of skipjack.c
  and permission issues.

* Mon Apr 05 1999 Fabio Coatti <cova@felix.unife.it>
- New sources for idea and rsa

* Tue Sep 29 1998 Fabio Coatti <cova@felix.unife.it>
- some fixes (buildroot,release...)
- default dir /usr/lib/gnupg

* Thu Sep 17 1998 Robert Richard George 'reptile' Wal <reptile@reptile.eu.org>
- removed EGCS-isms from spec.

* Tue Sep  8 1998 Robert Richard George 'reptile' Wal <reptile@reptile.eu.org>
- Initial release


%description
These are additional modules for GPG. Skipjack is a new algoritm. RSA and IDEA
allow interoperation with PGP2.*.

%description -l it
Questi sono moduli addizionali per il GPG. Skipjack  un nuovo algoritmo;
RSA ed IDEA permettono l'interoperabilit con il PGP2.*.

%description -l cs
Tento balek obsahuje doplujc moduly pro GPG, kter zpstupuj
ifrovac algoritmy Skipjack (nov algoritmus), RSA (patent v USA
do 20. z 2000) a IDEA (celosvtov patent). Tyto moduly umouj
kompatibilitu s PGP verze 2.


%prep

rm -rf %{name}-%{version}
mkdir %{name}-%{version}
install -m 600 $RPM_SOURCE_DIR/skipjack.c $RPM_SOURCE_DIR/idea.c\
   $RPM_SOURCE_DIR/rsa.c $RPM_BUILD_DIR/%{name}-%{version}

%build

cd %{name}-%{version}
gcc -Wall -O2 -shared -fPIC -o skipjack skipjack.c
gcc -Wall -O2 -shared -fPIC -o rsa rsa.c
gcc -Wall -O2 -shared -fPIC -o idea idea.c

%install

rm -rf $RPM_BUILD_ROOT

cd %{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/lib/gnupg
mkdir -p $RPM_BUILD_ROOT/etc/skel/.gnupg/
install -s -m 755 idea rsa skipjack $RPM_BUILD_ROOT/usr/lib/gnupg
cp %SOURCE3 $RPM_BUILD_ROOT/etc/skel/.gnupg/options

%clean

rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%config %attr(644,root,root) /etc/skel/.gnupg/options
%defattr(755,root,root)
/usr/lib/gnupg/skipjack
/usr/lib/gnupg/rsa
/usr/lib/gnupg/idea

